Bug 316381 - lock_upload_files not documented in vsftpd.conf man page
lock_upload_files not documented in vsftpd.conf man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vsftpd (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Nagy
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 22:58 EDT by masanari iida
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2008-0680
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:34:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This adds the lock_upload_file option into the man page (783 bytes, patch)
2007-11-16 11:32 EST, Martin Nagy
no flags Details | Diff
Add lock_upload_files option to vsftpd.conf man page. (784 bytes, patch)
2007-11-26 03:26 EST, Martin Nagy
no flags Details | Diff

  None (edit)
Description masanari iida 2007-10-02 22:58:54 EDT
Description of problem:
lock_upload_files option is added in vsftpd-2.0.1-5.EL4.5. (BZ#202746)
But it is not documented in vsftpd.conf man page.

Version-Release number of selected component (if applicable):
vsftpd-2.0.1-5.EL4.5 
vsftpd-2.0.1-5.EL4.7

How reproducible:
Always

Steps to Reproduce:
1.  man vsftpd.conf  and find a keyword "lock_upload_files" within the man page.
  
Additional info:
The man page should include the default setting of lock_upload_files in RHEL.
Comment 1 Martin Nagy 2007-11-16 11:32:59 EST
Created attachment 261461 [details]
This adds the lock_upload_file option into the man page

Patch.
Comment 2 masanari iida 2007-11-25 23:12:04 EST
> +wanting to e.g. append a file.
> +
> +Default: NO
> +.TP


One thing I want to re-confirm with you.
Is this option really default setting "NO"?
I believe this one is "YES" as a default, 
so that's why I notice new behavior after 
the vsftpd update. Please confirm. 

Thanks
Comment 3 Martin Nagy 2007-11-26 03:25:37 EST
(In reply to comment #2)
> One thing I want to re-confirm with you.
> Is this option really default setting "NO"?
> I believe this one is "YES" as a default, 
> so that's why I notice new behavior after 
> the vsftpd update. Please confirm. 
> 
> Thanks

You are of course right. Sorry for the confusion.
Comment 4 Martin Nagy 2007-11-26 03:26:58 EST
Created attachment 268601 [details]
Add lock_upload_files option to vsftpd.conf man page.
Comment 5 RHEL Product and Program Management 2007-11-28 22:57:12 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Martin Nagy 2008-02-08 05:50:42 EST
Fix checked in CVS and the new packages were built successfully. This issue
should be resolved in vsftpd-2.0.1-6.el4
Comment 11 errata-xmlrpc 2008-07-24 15:34:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0680.html

Note You need to log in before you can comment on or make changes to this bug.